# Uses of Class
org.eclipse.birt.chart.util.CDateTime

Packages that use CDateTime
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.util
Provides miscellaneous classes associated with data types and extension lookup services.

## Uses of CDateTime in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return CDateTime
Modifier and Type
Method
Description
`static final CDateTime`
Methods.`asDateTime(Object o)`
Converts given object to a DateTime object.

## Uses of CDateTime in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type CDateTime
Modifier and Type
Method
Description
`static int`
AutoScale.`getMinUnit(CDateTime cdt)`

## Uses of CDateTime in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return CDateTime
Modifier and Type
Method
Description
`CDateTime`
DateTimeDataElement.`getValueAsCDateTime()`
A convenient method provided to return the datetime value as a CDateTime wrapper NOTE: Manually written

## Uses of CDateTime in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return CDateTime
Modifier and Type
Method
Description
`final CDateTime`
DateTimeDataElementImpl.`getValueAsCDateTime()`

## Uses of CDateTime in org.eclipse.birt.chart.util

Methods in org.eclipse.birt.chart.util that return CDateTime
Modifier and Type
Method
Description
`CDateTime`
CDateTime.`backward(int iUnit, int iStep)`
A convenient method used in building the ticks for a datetime scale.
`CDateTime`
CDateTime.`forward(int iUnit, int iStep)`
A convenient method used in building the ticks for a datetime scale.
`CDateTime`
CDateTime.`getUnitStart(int iUnit)`
returns a CDateTime, whose value equals to the unit start of the current instance
`static CDateTime`
CDateTime.`parse(String sDateTimeValue)`
Parses a value formatted as MM-dd-yyyy HH:mm:ss and attempts to create an instance of this object
Methods in org.eclipse.birt.chart.util with parameters of type CDateTime
Modifier and Type
Method
Description
`static final double`
CDateTime.`computeDifference(CDateTime cdt1, CDateTime cdt2, int iUnit)`
Computes the difference between two given datetime values as a fraction for the requested field.
`static final double`
CDateTime.`computeDifference(CDateTime cdt1, CDateTime cdt2, int iUnit, boolean trimBelow)`
Computes the difference between two given datetime values as a fraction for the requested field.
`static final int`
CDateTime.`computeUnit(CDateTime[] cdta)`
Walks through all values in a datetime array and computes the least significant unit for which a difference was noted.
`static final int`
CDateTime.`getDifference(CDateTime cdt1, CDateTime cdt2)`
Returns the most significant datetime unit in which there's a difference or 0 if there is no difference.
`static final int`
CDateTime.`getPreferredUnit(CDateTime minDateTime, CDateTime maxDateTime)`
Returns a preferred format specifier for given data-time values will be computed based on the difference between minDateTime and maxDateTime